using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.DigitalWallets.CreateAsync(digitalWalletCreate: new DigitalWalletCreate() {
Provider = "click-to-pay",
MerchantName = "<value>",
AcceptTermsAndConditions = false,
});
// handle response{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_account_id": "<string>",
"provider": "apple",
"merchant_name": "<string>",
"domain_names": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "digital-wallet",
"merchant_display_name": "ACME",
"merchant_url": "https://example.com",
"merchant_country_code": "US",
"merchant_category_code": "5411",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state_code": "<string>",
"postal_code": "<string>"
},
"extra_configuration": {
"network_mid_list": [
{
"mid": "1234567890",
"scheme": "visa"
}
],
"network_name_list": [
{
"expected_auth_name": "ACME",
"scheme": "visa"
}
]
},
"active_certificate_count": 0,
"pending_certificate_count": 0,
"expired_certificate_count": 0,
"fields": {
"digital_payment_application_id": "8faebf73-5b43-4514-b170-cbfb50c99fff",
"digital_payment_application_name": "ACME"
}
}Register a digital wallet like Apple Pay, Google Pay, or Click to Pay.
using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.DigitalWallets.CreateAsync(digitalWalletCreate: new DigitalWalletCreate() {
Provider = "click-to-pay",
MerchantName = "<value>",
AcceptTermsAndConditions = false,
});
// handle response{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_account_id": "<string>",
"provider": "apple",
"merchant_name": "<string>",
"domain_names": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "digital-wallet",
"merchant_display_name": "ACME",
"merchant_url": "https://example.com",
"merchant_country_code": "US",
"merchant_category_code": "5411",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state_code": "<string>",
"postal_code": "<string>"
},
"extra_configuration": {
"network_mid_list": [
{
"mid": "1234567890",
"scheme": "visa"
}
],
"network_name_list": [
{
"expected_auth_name": "ACME",
"scheme": "visa"
}
]
},
"active_certificate_count": 0,
"pending_certificate_count": 0,
"expired_certificate_count": 0,
"fields": {
"digital_payment_application_id": "8faebf73-5b43-4514-b170-cbfb50c99fff",
"digital_payment_application_name": "ACME"
}
}This endpoint requires theDocumentation Index
Fetch the complete documentation index at: https://docs.gr4vy.com/llms.txt
Use this file to discover all available pages before exploring further.
digital-wallets.write scope.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the merchant account to use for this request.
"default"
Request body for registering a new digital wallet
apple, google, click-to-pay, paze 10241024^[A-Z]{2}$"DE"
4Show child attributes
Successful Response
The ID for the digital wallet.
"1808f5e6-b49c-4db9-94fa-22371ea352f5"
The ID of the merchant account this digital wallet belongs to.
"default"
The name of the digital wallet provider.
apple, google, click-to-pay, paze "apple"
The name of the merchant the digital wallet is registered to.
"ACME Inc."
The list of domain names that a digital wallet can be used on (deprecated).
"example.com"
The date this buyer was created at.
"2013-07-16T19:23:00.000+00:00"
The date this buyer was last updated at.
"2013-07-16T19:23:00.000+00:00"
Always digital-wallet.
"digital-wallet""digital-wallet"
The consumer facing name of the merchant.
"ACME"
The main URL of the merchant.
"https://example.com"
The country code where the merchant is registered.
"US"
Merchant classification for the type of goods or services it provides.
4"5411"
The merchant address associated with the digital wallet.
Show child attributes
Provider-specific configuration. Currently only used by Paze.
{
"network_mid_list": [{ "mid": "1234567890", "scheme": "visa" }],
"network_name_list": [
{
"expected_auth_name": "ACME",
"scheme": "visa"
}
]
}The number of active custom certificates registered for this digital wallet (Apple Pay only).
2
The number of pending custom certificates registered for this digital wallet (Apple Pay only).
1
The number of expired custom certificates registered for this digital wallet (Apple Pay only).
0
Custom attributes for some digital wallets. Currently only used by Click to Pay.
{
"digital_payment_application_id": "8faebf73-5b43-4514-b170-cbfb50c99fff",
"digital_payment_application_name": "ACME"
}